TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
TIBCO.EMS.ADMIN.ConnectionInfo Class Reference

A ConnectionInfo object represents a client connection to the TIBCO EMS server. ConnectionInfo objects are obtained through calls to Admin.GetConnections(). More...

## Public Member Functions
override string | ToString ()
| Generate a string representation of this ConnectionInfo. More...

## Public Attributes
const string | CONNECTION_TYPE_QUEUE = "QUEUE"
| Type indicating the connection is a queue connection. More...
const string | CONNECTION_TYPE_TOPIC = "TOPIC"
| Type indicating the connection is a topic connection. More...
const string | CONNECTION_TYPE_ROUTE = "ROUTE"
| Type indicating the connection is a route connection to another server. More...
const string | CONNECTION_TYPE_FT = "FT"
| Type indicating the connection is a fault tolerant connection to another server. More...
const string | CONNECTION_TYPE_GENERIC = "CONNECTION"
| Type indicating a generic client connection. More...
const string | CLIENT_TYPE_C = "C"
| Type indicating the client is a C application. More...
const string | CLIENT_TYPE_JAVA = "J"
| Type indicating the client is a Java application. More...
const string | CLIENT_TYPE_CSHARP = "#"
| Type indicating the client is a C# application. More...
const string | CLIENT_TYPE_UNKNOWN = "<unknown>"
| Type indicating the client is of unkown type. More...

## Properties
string | Type`[get]`
| Get the connection type for this connection. More...
string | Host`[get]`
| Get the host for this connection. More...
string | Address`[get]`
| Get the IP address for this connection. More...
int | Port`[get]`
| Get the ephemeral port used on the client host for this connection. More...
string | ClientID`[get]`
| Get the clientID for this connection. More...
string | UserName`[get]`
| Get the username for this connection. More...
int | SessionCount`[get]`
| Get the number of sessions for this connection. More...
int | ConsumerCount`[get]`
| Get the number of consumers for this connection. More...
int | ProducerCount`[get]`
| Get the number of producers for this connection. More...
long | StartTime`[get]`
| Get the creation time, in milliseconds, for this connection. More...
long | UpTime`[get]`
| Get the time in milliseconds that this connection has been connected. More...
VersionInfo | VersionInfo`[get]`
| Get the version of the software being run by the client that created this connection. More...
int | UncommittedCount`[get]`
| Get the number of uncommitted mesages that are pending for this connection. More...
long | UncommittedSize`[get]`
| Get the size of all uncommitted mesages that are pending for this connection. More...
string | ClientType`[get]`
| Get the language that the application was written in. More...
bool | XA`[get]`
| Indicates whether or not the connection is an XA connection. More...
bool | FT`[get]`
| Indicates whether or not the connection is an FT connection, that is the connection has alternative URLs. More...
bool | Admin`[get]`
| Indicates whether or not the connection is a connection from an administration client, either Admin or a client using this administration api. More...
SSLType | SSLType`[get]`
| Get the type of SSL connection used, if any. More...
bool | Started`[get]`
| Indicates whether or not the connection as been started by the client. More...
long | ID`[get]`
| Get the connection ID for this connection. More...
string | URL`[get]`
| Get the URL for this connection. More...

## Detailed Description

A ConnectionInfo object represents a client connection to the TIBCO EMS server. ConnectionInfo objects are obtained through calls to Admin.GetConnections().

## Member Function Documentation

override string TIBCO.EMS.ADMIN.ConnectionInfo.ToString | ( |  | ) |
| inline

Generate a string representation of this ConnectionInfo.

Returns
  a string representation of this ConnectionInfo.

## Member Data Documentation

const string TIBCO.EMS.ADMIN.ConnectionInfo.CLIENT_TYPE_C = "C"

Type indicating the client is a C application.

const string TIBCO.EMS.ADMIN.ConnectionInfo.CLIENT_TYPE_CSHARP = "#"

Type indicating the client is a C# application.

const string TIBCO.EMS.ADMIN.ConnectionInfo.CLIENT_TYPE_JAVA = "J"

Type indicating the client is a Java application.

const string TIBCO.EMS.ADMIN.ConnectionInfo.CLIENT_TYPE_UNKNOWN = "<unknown>"

Type indicating the client is of unkown type.

const string TIBCO.EMS.ADMIN.ConnectionInfo.CONNECTION_TYPE_FT = "FT"

Type indicating the connection is a fault tolerant connection to another server.

const string TIBCO.EMS.ADMIN.ConnectionInfo.CONNECTION_TYPE_GENERIC = "CONNECTION"

Type indicating a generic client connection.

const string TIBCO.EMS.ADMIN.ConnectionInfo.CONNECTION_TYPE_QUEUE = "QUEUE"

Type indicating the connection is a queue connection.

const string TIBCO.EMS.ADMIN.ConnectionInfo.CONNECTION_TYPE_ROUTE = "ROUTE"

Type indicating the connection is a route connection to another server.

const string TIBCO.EMS.ADMIN.ConnectionInfo.CONNECTION_TYPE_TOPIC = "TOPIC"

Type indicating the connection is a topic connection.

## Property Documentation

string TIBCO.EMS.ADMIN.ConnectionInfo.Address
| get

Get the IP address for this connection.

Returns
  the IP address for this connection.

bool TIBCO.EMS.ADMIN.ConnectionInfo.Admin
| get

Indicates whether or not the connection is a connection from an administration client, either Admin or a client using this administration api.

Returns
  true if the connection is an admin connection, false otherwise.

string TIBCO.EMS.ADMIN.ConnectionInfo.ClientID
| get

Get the clientID for this connection.

Returns
  the clientID for this connection (can be null).

string TIBCO.EMS.ADMIN.ConnectionInfo.ClientType
| get

Get the language that the application was written in.

Returns
  the client type. Will be one of the following: CLIENT_TYPE_C, CLIENT_TYPE_JAVA, CLIENT_TYPE_CSHARP or CLIENT_TYPE_UNKNOWN.

int TIBCO.EMS.ADMIN.ConnectionInfo.ConsumerCount
| get

Get the number of consumers for this connection.

Returns
  the number of consumers for this connection.

bool TIBCO.EMS.ADMIN.ConnectionInfo.FT
| get

Indicates whether or not the connection is an FT connection, that is the connection has alternative URLs.

Returns
  true if the connection is an FT connection, false otherwise.

string TIBCO.EMS.ADMIN.ConnectionInfo.Host
| get

Get the host for this connection.

Returns
  the hostname for this connection.

long TIBCO.EMS.ADMIN.ConnectionInfo.ID
| get

Get the connection ID for this connection.

Returns
  the connection ID for this connection.

int TIBCO.EMS.ADMIN.ConnectionInfo.Port
| get

Get the ephemeral port used on the client host for this connection.

Returns
  the client ephemeral port.

since EMS 8.4

int TIBCO.EMS.ADMIN.ConnectionInfo.ProducerCount
| get

Get the number of producers for this connection.

Returns
  the number of producers for this connection.

int TIBCO.EMS.ADMIN.ConnectionInfo.SessionCount
| get

Get the number of sessions for this connection.

Returns
  the number of sessions for this connection.

SSLType TIBCO.EMS.ADMIN.ConnectionInfo.SSLType
| get

Get the type of SSL connection used, if any.

Returns
  the SSL type. SSLType

bool TIBCO.EMS.ADMIN.ConnectionInfo.Started
| get

Indicates whether or not the connection as been started by the client.

Returns
  true if the connection has been started, false otherwise.

long TIBCO.EMS.ADMIN.ConnectionInfo.StartTime
| get

Get the creation time, in milliseconds, for this connection.

Returns
  the creation time, in milliseconds, for this connection.

string TIBCO.EMS.ADMIN.ConnectionInfo.Type
| get

Get the connection type for this connection.

Returns
  the connection type for this connection. Will be one of the following: CONNECTION_TYPE_QUEUE, CONNECTION_TYPE_TOPIC, CONNECTION_TYPE_ROUTE, CONNECTION_TYPE_FT, or CONNECTION_TYPE_GENERIC.

int TIBCO.EMS.ADMIN.ConnectionInfo.UncommittedCount
| get

Get the number of uncommitted mesages that are pending for this connection.

Returns
  the number of uncommitted messages

since EMS 5.0

long TIBCO.EMS.ADMIN.ConnectionInfo.UncommittedSize
| get

Get the size of all uncommitted mesages that are pending for this connection.

Returns
  the size of all uncommitted messages

since EMS 5.0

long TIBCO.EMS.ADMIN.ConnectionInfo.UpTime
| get

Get the time in milliseconds that this connection has been connected.

Returns
  the time in milliseconds that this connection has been connected.

string TIBCO.EMS.ADMIN.ConnectionInfo.URL
| get

Get the URL for this connection.

Returns
  the URL for this connection.

string TIBCO.EMS.ADMIN.ConnectionInfo.UserName
| get

Get the username for this connection.

Returns
  the username for this connection.

VersionInfo TIBCO.EMS.ADMIN.ConnectionInfo.VersionInfo
| get

Get the version of the software being run by the client that created this connection.

Returns
  the VersionInfo object representing the version of the software being run by the client or null if the version information was not provided by the server.

bool TIBCO.EMS.ADMIN.ConnectionInfo.XA
| get

Indicates whether or not the connection is an XA connection.

Returns
  true if the connection is an XA connection, false otherwise.